# Deleting a VPC Endpoint Service

#### Function

This API is used to delete a VPC endpoint service.

#### URI

DELETE /v1/{project_id}/vpc-endpoint-services/{vpc_endpoint_service_id}

Table 1 describes the required parameters.

Table 1 Parameters
Parameter | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID. For details about how to obtain the project ID, see Obtaining a Project ID.
vpc_endpoint_service_id | Yes | Specifies the ID of the VPC endpoint service.

#### Request

- Parameter description

  None

- Example request
  This request is to delete the VPC endpoint service whose ID is 4189d3c2-8882-4871-a3c2-d380272eed88.

      DELETE https://{endpoint}/v1/{project_id}/vpc-endpoint-services/4189d3c2-8882-4871-a3c2-d380272eed88

#### Response

None

#### Status Code

For details about status codes, see Status Code.

Parent topic: APIs for Managing VPC Endpoint Services